import java.util.Random;
/**
 * Methodenbox für Kapitel 1.5, Aufgabe 9 - Sehschärfe
 * 
 * @author Franz Jetzinger
 * @version 1.0
 */
public class Methodenbox
{
    private Turtle turtle;
    private Random zufall;
    /**
     * Konstruktor für Objekte der Klasse AlgoWrapper
     */
    public Methodenbox()
    {
        turtle = new Turtle();
        zufall = new Random();
    }

    public void gehe(int Schritte)
    {
        turtle.Gehen(Schritte);
    }
    public void drehe(int Grad)
    {
        turtle.Drehen(Grad);
    }
    
    public void lösche()
    {
        turtle.Löschen();      
    }
    public void hebeStift()
    {
        turtle.StiftHeben();
    }
    public void senkeStift()
    {
        turtle.StiftSenken();
    }
    public void setzePosition(int x, int y)
    {
        turtle.PositionSetzen(x, y);
    }
    public int gibZufallszahl(int von, int bis)
    {
        return von + zufall.nextInt(bis-von);
    }
    public void setzeXPosition(int x)
    {
        turtle.PositionSetzen(x, turtle.YPositionGeben());
    }
    public void setzeYPositio(int y)
    {
        turtle.PositionSetzen(turtle.XPositionGeben(), y);
    }
    public void ändereYUm(int differenz)
    {
        turtle.PositionSetzen(turtle.XPositionGeben(),turtle.YPositionGeben()+differenz);
    }
     public void ändereXUm(int differenz)
    {
        turtle.PositionSetzen(turtle.XPositionGeben()+differenz,turtle.YPositionGeben());
    }
    public int gibXPosition()
    {
        return turtle.XPositionGeben();
    }
    public int gibYPosition()
    {
        return turtle.YPositionGeben();
    }
    public void setzeWinkel(int Winkel)
    {
        turtle.WinkelSetzen(Winkel);
    }
}

