import java.util.Random;
/**
 * Methodenbox für Kapitel 1.5, Aufgabe 10 - Animationen
 * 
 * @author Franz Jetzinger
 * @version 1.0
 */
public class Methodenbox
{

    Vogel vogel = new Vogel();
    Baum baum = new Baum();
    /**
     * Konstruktor für Objekte der Klasse AlgoWrapper
     */
    public Methodenbox()
    {
        baum.PositionSetzen(400,200);
    }

    void wechsleFlügel()
    {
        vogel.wechsleFlügel();
    }

    void vergrößereVogel(int Differenz)
    {
        vogel.vergrößern(Differenz);
    }

    void verkleinereVogel(int Differenz)
    {
        vogel.verkleinern(Differenz);
    }

    void vergrößereBaum(int Differenz)
    {
        baum.vergrößern(Differenz);
    }

    void setzeBaumPosition(int x, int y)
    {
        baum.PositionSetzen(x,y);
    }

    void verschiebeBaum(int DifferenzX, int DifferenzY)
    {
        baum.PositionSetzen(baum.XPositionGeben()+DifferenzX,baum.YPositionGeben()+DifferenzY);
    }

    void warte(int Millisekunden)
    {
        try {
            Thread.sleep(Millisekunden);
        } catch (InterruptedException e) {
            System.out.println("Thread is interrupted");
        }

    }

    private class Vogel extends Figur{
        String Flügelstellung = "oben";
        int Größe = 40;
        Vogel()
        {
            FigurteilFestlegenEllipse(40,40,20, 20,"schwarz");
            FigurteilFestlegenDreieck(40, 40, 40, 50, 10, 0, "schwarz");
            FigurteilFestlegenDreieck(50, 50, 50, 60, 90, 0, "schwarz");
        }

        void wechsleFlügel()
        {
            EigeneFigurLöschen();
            FigurteilFestlegenEllipse(40,40,20, 20,"schwarz");
            if(Flügelstellung == "oben")
            {
                FigurteilFestlegenDreieck(44, 44, 44, 50, 10, 100, "schwarz");
                FigurteilFestlegenDreieck(54, 46, 60, 60, 90,100, "schwarz");
                Flügelstellung = "unten";
            }
            else if(Flügelstellung == "unten")
            {
                FigurteilFestlegenDreieck(44, 44, 40, 50, 10, 0, "schwarz");
                FigurteilFestlegenDreieck(50, 50, 50, 60, 90, 0, "schwarz"); 
                Flügelstellung = "oben";
            }
        }

        void vergrößern(int Differenz)
        {
            Größe = Größe +Differenz;
            GrößeSetzen(Größe);
        }

        void verkleinern(int Differenz)
        {
            if(Größe >= 40)
            {
                Größe = Größe - Differenz;
                GrößeSetzen(Größe);
            }else{
                System.out.println("Vogel ist schon zu klein.");
            }
        }

    }

    private class Baum extends Figur
    {
        int Größe = 40;
        Baum()
        {
            FigurteilFestlegenRechteck(40, 100, 20, 50, "braun");
            FigurteilFestlegenEllipse(30, 75, 40, 40, "grün");
        }

        void vergrößern(int Differenz)
        {
            Größe = Größe +Differenz;
            GrößeSetzen(Größe);
        }

        void verkleinern(int Differenz)
        {
            Größe = Größe - Differenz;
            GrößeSetzen(Größe);
        }

    }
}
